pangomm 2.35.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Related Functions | List of all members
Pango::Fontset Class Reference

A Pango::Fontset is used to represent a set of fonts. More...

`#include <pangomm/fontset.h>`

Inheritance diagram for Pango::Fontset:
[legend]

## Public Types
typedef sigc::slot< bool, const Glib::RefPtr< Font >& > | ForeachSlot
| For instance, bool on_foreach(const Glib::RefPtr<Pango::Font>& font);. More...

## Public Member Functions
virtual | ~Fontset ()
PangoFontset* | gobj ()
| Provides access to the underlying C GObject. More...
const PangoFontset* | gobj () const
| Provides access to the underlying C GObject. More...
PangoFontset* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
Glib::RefPtr< Font > | get_font (guint wc) const
| Returns the font in the fontset that contains the best glyph for the Unicode character wc. More...
FontMetrics | get_metrics () const
| Get overall metric information for the fonts in the fontset. More...
void | foreach (const ForeachSlot& slot)
| Iterates through all the fonts in a fontset, calling slot for each one. More...

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Pango::Fontset > | wrap (PangoFontset* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Detailed Description

A Pango::Fontset is used to represent a set of fonts.

## Member Typedef Documentation

typedef sigc::slot< bool, const Glib::RefPtr<Font>& > Pango::Fontset::ForeachSlot

For instance, bool on_foreach(const Glib::RefPtr<Pango::Font>& font);.

## Constructor & Destructor Documentation

virtual Pango::Fontset::~Fontset | ( |  | ) |
| virtual

## Member Function Documentation

void Pango::Fontset::foreach | ( | const ForeachSlot& | slot | ) |

Iterates through all the fonts in a fontset, calling slot for each one.

If slot returns true, that stops the iteration.

Since
  -1.4

Parameters

  slot | Callback function

Glib::RefPtr<Font> Pango::Fontset::get_font | ( | guint | wc | ) | const

Returns the font in the fontset that contains the best glyph for the Unicode character wc.

Parameters

  wc | A Unicode character.

Returns
  A Pango::Font. The caller must call g_object_unref when finished with the font.

FontMetrics Pango::Fontset::get_metrics | ( |  | ) | const

Get overall metric information for the fonts in the fontset.

Returns
  A Pango::FontMetrics object. The caller must call Pango::FontMetrics::unref() when finished using the object.

static GType Pango::Fontset::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

PangoFontset* Pango::Fontset::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

const PangoFontset* Pango::Fontset::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

PangoFontset* Pango::Fontset::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## Friends And Related Function Documentation

Glib::RefPtr< Pango::Fontset > wrap | ( | PangoFontset * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.